package com.muyu.system.domain.rep;

import com.muyu.common.core.web.page.PageReq;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.util.Date;

/**
 * 系统访问记录请求列表查询对象
 *
 * @ClassName SysLogininforListReq
 * @Author AnNan.Wang
 * @Date 2024/12/16 10:23
 */

@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = true)
public class SysLogininforListReq extends PageReq {
    /**
     * 用户账号
     */
    private String userName;
    /**
     * 状态 0成功 1失败
     */
    private String status;
    /**
     * 地址
     */
    private String ipaddr;
    /**
     * 开始时间
     */
    private Date beginTime;
    /**
     * 结束时间
     */
    private Date endTime;
}
